<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per il file ia.cc</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Funzioni</a> &#124;
<a href="#var-members">Variabili</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per il file ia.cc</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="ia_8h_source.html">ia.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funzioni</h2></td></tr>
<tr class="memitem:af8f1e21497aef61209e34cc7392f782c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#af8f1e21497aef61209e34cc7392f782c">esiste_arma_vicina</a> (list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; oggetti, <a class="el" href="structpersonaggio.html">personaggio</a> p)</td></tr>
<tr class="separator:af8f1e21497aef61209e34cc7392f782c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a> (<a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale.  <a href="#ab5694985fc91b0391ca1a5d3a2fbb93a">Continua...</a><br /></td></tr>
<tr class="separator:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8628e7379785b196873b13eda30520f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a> (<a class="el" href="structpersonaggio.html">personaggio</a> &amp;p, <a class="el" href="structpersonaggio.html">personaggio</a> pg)</td></tr>
<tr class="separator:a8628e7379785b196873b13eda30520f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982340c876954c5f501a0e5f14cebc50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#a982340c876954c5f501a0e5f14cebc50">ia_spadaccino</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:a982340c876954c5f501a0e5f14cebc50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che esegue l'intelligenza del personaggio spadaccino.  <a href="#a982340c876954c5f501a0e5f14cebc50">Continua...</a><br /></td></tr>
<tr class="separator:a982340c876954c5f501a0e5f14cebc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf08414e9b001de1a98801bb8b2b322"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#a3cf08414e9b001de1a98801bb8b2b322">ia_inseguitore</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:a3cf08414e9b001de1a98801bb8b2b322"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che esegue l'intelligenza del personaggio inseguitore.  <a href="#a3cf08414e9b001de1a98801bb8b2b322">Continua...</a><br /></td></tr>
<tr class="separator:a3cf08414e9b001de1a98801bb8b2b322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1624f2a71ad3ac32ae03ce1417cebf7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#a1624f2a71ad3ac32ae03ce1417cebf7c">ia_tank</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:a1624f2a71ad3ac32ae03ce1417cebf7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che esegue l'intelligenza del personaggio tank.  <a href="#a1624f2a71ad3ac32ae03ce1417cebf7c">Continua...</a><br /></td></tr>
<tr class="separator:a1624f2a71ad3ac32ae03ce1417cebf7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variabili</h2></td></tr>
<tr class="memitem:a3a21baed9d6df4610280bcbfa7cb3a5f"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a></td></tr>
<tr class="memdesc:a3a21baed9d6df4610280bcbfa7cb3a5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine della freccia direzionale rivolta a destra.  <a href="#a3a21baed9d6df4610280bcbfa7cb3a5f">Continua...</a><br /></td></tr>
<tr class="separator:a3a21baed9d6df4610280bcbfa7cb3a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7b4b2ab770528932506cb7be3e589e3"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ia_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a></td></tr>
<tr class="memdesc:ae7b4b2ab770528932506cb7be3e589e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine della freccia direzionale rivolta a sinistra.  <a href="#ae7b4b2ab770528932506cb7be3e589e3">Continua...</a><br /></td></tr>
<tr class="separator:ae7b4b2ab770528932506cb7be3e589e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentazione delle funzioni</h2>
<a class="anchor" id="af8f1e21497aef61209e34cc7392f782c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool esiste_arma_vicina </td>
          <td>(</td>
          <td class="paramtype">list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt;&#160;</td>
          <td class="paramname"><em>oggetti</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a>&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;{</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="keywordflow">for</span>(<a class="code" href="structoggetto.html">oggetto</a> o : oggetti)</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    {</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        <span class="keywordflow">if</span>(abs(p.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a> - o.x) &lt; <a class="code" href="ia_8h.html#ac1130ac558d8c61a451f2e16686a7a1f">RANGE_VISIONE</a> + (p.<a class="code" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a> == <a class="code" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a>)*40)</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    }</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div><div class="ttc" id="structpersonaggio_html_a3097b79f08c1d4f7742090e24b1ec931"><div class="ttname"><a href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">personaggio::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">Posizione del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:108</div></div>
<div class="ttc" id="ia_8h_html_ac1130ac558d8c61a451f2e16686a7a1f"><div class="ttname"><a href="ia_8h.html#ac1130ac558d8c61a451f2e16686a7a1f">RANGE_VISIONE</a></div><div class="ttdeci">const int RANGE_VISIONE</div><div class="ttdef"><b>Definition:</b> ia.h:7</div></div>
<div class="ttc" id="dati_8h_html_a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30"><div class="ttname"><a href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a></div><div class="ttdef"><b>Definition:</b> dati.h:57</div></div>
<div class="ttc" id="structoggetto_html"><div class="ttname"><a href="structoggetto.html">oggetto</a></div><div class="ttdoc">(NON IMPLEMENTATO) struct struttura { informazioni_disegno draw; bool visibile; }; ...</div><div class="ttdef"><b>Definition:</b> dati.h:88</div></div>
<div class="ttc" id="structpersonaggio_html_ada6c8bcef11e0095406b3bdc5ff6c583"><div class="ttname"><a href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">personaggio::tipo</a></div><div class="ttdeci">tipo_t tipo</div><div class="ttdoc">Enumeratore che indica il tipo di personaggio (Princpale-Spadaccino-Lanciere-Inseguitore) ...</div><div class="ttdef"><b>Definition:</b> dati.h:122</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a3cf08414e9b001de1a98801bb8b2b322"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ia_inseguitore </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che esegue l'intelligenza del personaggio inseguitore. </p>
<div class="fragment"><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;{</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="comment">// Verifico che il personaggio non sia in salto</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a952fbed713d2ec4e30b2cb22d2608374">cade</a> || p.<a class="code" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a>)</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        return ;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">        Verifico se c&#39;è un&#39;arma da lancio vicino a lui, e nel</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">        caso fosse vero, lo faccio saltare al 40% di possibilità.</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">    */</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="ia_8cc.html#af8f1e21497aef61209e34cc7392f782c">esiste_arma_vicina</a>(dati.<a class="code" href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">oggetti</a>, p))</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="comment">// 70% di possibilità di salto</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordflow">if</span>((rand() % 10) &lt; 6)</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            p.<a class="code" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a> = <span class="keyword">true</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            return ;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    </div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <a class="code" href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a>(p, dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front());</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordflow">if</span>(abs(p.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a> - dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front().x) &lt; <a class="code" href="ia_8h.html#a40d63df49bc74759b2b4b9bdda359167">RANGE_SALTO_INSG</a>)</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        p.<a class="code" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a> = <span class="keyword">true</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <a class="code" href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a>(p);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    return ;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;}</div><div class="ttc" id="structpersonaggio_html_a3097b79f08c1d4f7742090e24b1ec931"><div class="ttname"><a href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">personaggio::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">Posizione del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:108</div></div>
<div class="ttc" id="ia_8h_html_a40d63df49bc74759b2b4b9bdda359167"><div class="ttname"><a href="ia_8h.html#a40d63df49bc74759b2b4b9bdda359167">RANGE_SALTO_INSG</a></div><div class="ttdeci">const int RANGE_SALTO_INSG</div><div class="ttdef"><b>Definition:</b> ia.h:8</div></div>
<div class="ttc" id="structpersonaggio_html_a952fbed713d2ec4e30b2cb22d2608374"><div class="ttname"><a href="structpersonaggio.html#a952fbed713d2ec4e30b2cb22d2608374">personaggio::cade</a></div><div class="ttdeci">bool cade</div><div class="ttdoc">Flag che indica se il personaggio è in fase di caduta. </div><div class="ttdef"><b>Definition:</b> dati.h:113</div></div>
<div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="structdati__gioco_html_a6b650fddfdbd443f8bffde28f1cd6362"><div class="ttname"><a href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">dati_gioco::oggetti</a></div><div class="ttdeci">list&lt; oggetto &gt; oggetti</div><div class="ttdoc">Lista contenente tutte le armi da lancio attive nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:136</div></div>
<div class="ttc" id="ia_8cc_html_a8628e7379785b196873b13eda30520f7"><div class="ttname"><a href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a></div><div class="ttdeci">void ruota_visuale(personaggio &amp;p, personaggio pg)</div><div class="ttdef"><b>Definition:</b> ia.cc:29</div></div>
<div class="ttc" id="ia_8cc_html_af8f1e21497aef61209e34cc7392f782c"><div class="ttname"><a href="ia_8cc.html#af8f1e21497aef61209e34cc7392f782c">esiste_arma_vicina</a></div><div class="ttdeci">bool esiste_arma_vicina(list&lt; oggetto &gt; oggetti, personaggio p)</div><div class="ttdef"><b>Definition:</b> ia.cc:6</div></div>
<div class="ttc" id="ia_8cc_html_ab5694985fc91b0391ca1a5d3a2fbb93a"><div class="ttname"><a href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a></div><div class="ttdeci">void muovi_png(personaggio &amp;p)</div><div class="ttdoc">Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale...</div><div class="ttdef"><b>Definition:</b> ia.cc:16</div></div>
<div class="ttc" id="structpersonaggio_html_a9433a0a393b90739abb7c95f39c80771"><div class="ttname"><a href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">personaggio::in_salto</a></div><div class="ttdeci">bool in_salto</div><div class="ttdoc">Flag che indica se il personaggio è in fase di salto. </div><div class="ttdef"><b>Definition:</b> dati.h:114</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a982340c876954c5f501a0e5f14cebc50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ia_spadaccino </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che esegue l'intelligenza del personaggio spadaccino. </p>
<div class="fragment"><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a952fbed713d2ec4e30b2cb22d2608374">cade</a> || p.<a class="code" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a>)</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        return ;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">        Verifico se c&#39;è un&#39;arma da lancio vicino a lui, e nel</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment">        caso fosse vero, lo faccio saltare al 40% di possibilità.</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment">    */</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordflow">if</span>(<a class="code" href="ia_8cc.html#af8f1e21497aef61209e34cc7392f782c">esiste_arma_vicina</a>(dati.<a class="code" href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">oggetti</a>, p))</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    {</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="comment">// 50% di possibilità di salto</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">if</span>((rand() % 2))</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            p.<a class="code" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a> = <span class="keyword">true</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            return ;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a>(p, dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front());</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">if</span>(abs(p.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a> - dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front().x) &lt; <a class="code" href="ia_8h.html#a73e29f69ac8c6e72a4b13b8c7bc263e3">RANGE_ATT_SPDC</a>)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = 0;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <a class="code" href="dati_8cc.html#ad464eb9c664befb6046c71477469f71b">attacca</a>(p);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    }</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <a class="code" href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a>(p);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    return ;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div><div class="ttc" id="dati_8cc_html_ad464eb9c664befb6046c71477469f71b"><div class="ttname"><a href="dati_8cc.html#ad464eb9c664befb6046c71477469f71b">attacca</a></div><div class="ttdeci">void attacca(personaggio &amp;p)</div><div class="ttdoc">Funzione di attacco, rende visibile l&amp;#39;arma e fa partire il movimento. </div><div class="ttdef"><b>Definition:</b> dati.cc:68</div></div>
<div class="ttc" id="structpersonaggio_html_a3097b79f08c1d4f7742090e24b1ec931"><div class="ttname"><a href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">personaggio::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">Posizione del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:108</div></div>
<div class="ttc" id="structpersonaggio_html_a952fbed713d2ec4e30b2cb22d2608374"><div class="ttname"><a href="structpersonaggio.html#a952fbed713d2ec4e30b2cb22d2608374">personaggio::cade</a></div><div class="ttdeci">bool cade</div><div class="ttdoc">Flag che indica se il personaggio è in fase di caduta. </div><div class="ttdef"><b>Definition:</b> dati.h:113</div></div>
<div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="structdati__gioco_html_a6b650fddfdbd443f8bffde28f1cd6362"><div class="ttname"><a href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">dati_gioco::oggetti</a></div><div class="ttdeci">list&lt; oggetto &gt; oggetti</div><div class="ttdoc">Lista contenente tutte le armi da lancio attive nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:136</div></div>
<div class="ttc" id="ia_8cc_html_a8628e7379785b196873b13eda30520f7"><div class="ttname"><a href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a></div><div class="ttdeci">void ruota_visuale(personaggio &amp;p, personaggio pg)</div><div class="ttdef"><b>Definition:</b> ia.cc:29</div></div>
<div class="ttc" id="ia_8cc_html_af8f1e21497aef61209e34cc7392f782c"><div class="ttname"><a href="ia_8cc.html#af8f1e21497aef61209e34cc7392f782c">esiste_arma_vicina</a></div><div class="ttdeci">bool esiste_arma_vicina(list&lt; oggetto &gt; oggetti, personaggio p)</div><div class="ttdef"><b>Definition:</b> ia.cc:6</div></div>
<div class="ttc" id="ia_8cc_html_ab5694985fc91b0391ca1a5d3a2fbb93a"><div class="ttname"><a href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a></div><div class="ttdeci">void muovi_png(personaggio &amp;p)</div><div class="ttdoc">Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale...</div><div class="ttdef"><b>Definition:</b> ia.cc:16</div></div>
<div class="ttc" id="ia_8h_html_a73e29f69ac8c6e72a4b13b8c7bc263e3"><div class="ttname"><a href="ia_8h.html#a73e29f69ac8c6e72a4b13b8c7bc263e3">RANGE_ATT_SPDC</a></div><div class="ttdeci">const int RANGE_ATT_SPDC</div><div class="ttdef"><b>Definition:</b> ia.h:5</div></div>
<div class="ttc" id="structpersonaggio_html_a159b2bc7ed0dadb4d00fca244d4cbad5"><div class="ttname"><a href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">personaggio::vel_x</a></div><div class="ttdeci">int vel_x</div><div class="ttdoc">Velocità del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:110</div></div>
<div class="ttc" id="structpersonaggio_html_a9433a0a393b90739abb7c95f39c80771"><div class="ttname"><a href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">personaggio::in_salto</a></div><div class="ttdeci">bool in_salto</div><div class="ttdoc">Flag che indica se il personaggio è in fase di salto. </div><div class="ttdef"><b>Definition:</b> dati.h:114</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a1624f2a71ad3ac32ae03ce1417cebf7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ia_tank </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che esegue l'intelligenza del personaggio tank. </p>
<div class="fragment"><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;{</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordflow">if</span>(abs(p.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a> - dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front().x) &lt; <a class="code" href="ia_8h.html#a134180343c9aeb1c304fc57ac7b6b895">RANGE_ATT_TANK</a>)</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    {</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = 0;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <a class="code" href="dati_8cc.html#ad464eb9c664befb6046c71477469f71b">attacca</a>(p);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    }</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <a class="code" href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a>(p, dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front());</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <a class="code" href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a>(p);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}<div class="ttc" id="dati_8cc_html_ad464eb9c664befb6046c71477469f71b"><div class="ttname"><a href="dati_8cc.html#ad464eb9c664befb6046c71477469f71b">attacca</a></div><div class="ttdeci">void attacca(personaggio &amp;p)</div><div class="ttdoc">Funzione di attacco, rende visibile l&amp;#39;arma e fa partire il movimento. </div><div class="ttdef"><b>Definition:</b> dati.cc:68</div></div>
<div class="ttc" id="structpersonaggio_html_a3097b79f08c1d4f7742090e24b1ec931"><div class="ttname"><a href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">personaggio::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">Posizione del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:108</div></div>
<div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="ia_8cc_html_a8628e7379785b196873b13eda30520f7"><div class="ttname"><a href="ia_8cc.html#a8628e7379785b196873b13eda30520f7">ruota_visuale</a></div><div class="ttdeci">void ruota_visuale(personaggio &amp;p, personaggio pg)</div><div class="ttdef"><b>Definition:</b> ia.cc:29</div></div>
<div class="ttc" id="ia_8cc_html_ab5694985fc91b0391ca1a5d3a2fbb93a"><div class="ttname"><a href="ia_8cc.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a></div><div class="ttdeci">void muovi_png(personaggio &amp;p)</div><div class="ttdoc">Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale...</div><div class="ttdef"><b>Definition:</b> ia.cc:16</div></div>
<div class="ttc" id="ia_8h_html_a134180343c9aeb1c304fc57ac7b6b895"><div class="ttname"><a href="ia_8h.html#a134180343c9aeb1c304fc57ac7b6b895">RANGE_ATT_TANK</a></div><div class="ttdeci">const int RANGE_ATT_TANK</div><div class="ttdef"><b>Definition:</b> ia.h:6</div></div>
<div class="ttc" id="structpersonaggio_html_a159b2bc7ed0dadb4d00fca244d4cbad5"><div class="ttname"><a href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">personaggio::vel_x</a></div><div class="ttdeci">int vel_x</div><div class="ttdoc">Velocità del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:110</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ab5694985fc91b0391ca1a5d3a2fbb93a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void muovi_png </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale. </p>
<p>NON PIU' SUPPORTATA, NUOVA IA SU ::ia.cc </p>
<div class="fragment"><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordtype">int</span> moltiplicatore = 1;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a> == <a class="code" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a>)</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        moltiplicatore = 2;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (p.<a class="code" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a> == <a class="code" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15">INSEGUITORE</a>)</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        moltiplicatore = 4;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">direzione</a> == <a class="code" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a>)</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = (<a class="code" href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a>/3)*moltiplicatore;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = (<a class="code" href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a>/3)*moltiplicatore; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="ttc" id="dati_8h_html_af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156"><div class="ttname"><a href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a></div><div class="ttdef"><b>Definition:</b> dati.h:48</div></div>
<div class="ttc" id="structpersonaggio_html_a1fd13cf6114e4fb2d7d1d083c1b034eb"><div class="ttname"><a href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">personaggio::direzione</a></div><div class="ttdeci">direzione_t direzione</div><div class="ttdoc">Direzione in cui il personaggio è voltato. </div><div class="ttdef"><b>Definition:</b> dati.h:123</div></div>
<div class="ttc" id="dati_8h_html_a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15"><div class="ttname"><a href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15">INSEGUITORE</a></div><div class="ttdef"><b>Definition:</b> dati.h:57</div></div>
<div class="ttc" id="dati_8h_html_a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30"><div class="ttname"><a href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a></div><div class="ttdef"><b>Definition:</b> dati.h:57</div></div>
<div class="ttc" id="movimento_8h_html_a84a7b7cf9d95df2ded9f78baf40ae005"><div class="ttname"><a href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a></div><div class="ttdeci">const int MIN_VEL_X</div><div class="ttdoc">Costante che indica la decelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:8</div></div>
<div class="ttc" id="movimento_8h_html_a369186b97e160587e0ff9316d6ef156c"><div class="ttname"><a href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a></div><div class="ttdeci">const int MAX_VEL_X</div><div class="ttdoc">Costante che indica l&amp;#39;accelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:7</div></div>
<div class="ttc" id="structpersonaggio_html_a159b2bc7ed0dadb4d00fca244d4cbad5"><div class="ttname"><a href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">personaggio::vel_x</a></div><div class="ttdeci">int vel_x</div><div class="ttdoc">Velocità del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:110</div></div>
<div class="ttc" id="structpersonaggio_html_ada6c8bcef11e0095406b3bdc5ff6c583"><div class="ttname"><a href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">personaggio::tipo</a></div><div class="ttdeci">tipo_t tipo</div><div class="ttdoc">Enumeratore che indica il tipo di personaggio (Princpale-Spadaccino-Lanciere-Inseguitore) ...</div><div class="ttdef"><b>Definition:</b> dati.h:122</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a8628e7379785b196873b13eda30520f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ruota_visuale </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a>&#160;</td>
          <td class="paramname"><em>pg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a> &lt; pg.<a class="code" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a>)</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        p.<a class="code" href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">direzione</a> = <a class="code" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        p.<a class="code" href="structpersonaggio.html#a6487d20648bf32c6f9a1a383c5e72510">dir_img</a> = <a class="code" href="ia_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        p.<a class="code" href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">direzione</a> = <a class="code" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a898fd7abd6aae10a03fc8f61543e1ab6">SX</a>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        p.<a class="code" href="structpersonaggio.html#a6487d20648bf32c6f9a1a383c5e72510">dir_img</a> = <a class="code" href="ia_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    }</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="ttc" id="structpersonaggio_html_a3097b79f08c1d4f7742090e24b1ec931"><div class="ttname"><a href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">personaggio::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">Posizione del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:108</div></div>
<div class="ttc" id="dati_8h_html_af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156"><div class="ttname"><a href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a></div><div class="ttdef"><b>Definition:</b> dati.h:48</div></div>
<div class="ttc" id="structpersonaggio_html_a1fd13cf6114e4fb2d7d1d083c1b034eb"><div class="ttname"><a href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">personaggio::direzione</a></div><div class="ttdeci">direzione_t direzione</div><div class="ttdoc">Direzione in cui il personaggio è voltato. </div><div class="ttdef"><b>Definition:</b> dati.h:123</div></div>
<div class="ttc" id="ia_8cc_html_a3a21baed9d6df4610280bcbfa7cb3a5f"><div class="ttname"><a href="ia_8cc.html#a3a21baed9d6df4610280bcbfa7cb3a5f">DIR_DX</a></div><div class="ttdeci">ALLEGRO_BITMAP * DIR_DX</div><div class="ttdoc">Immagine della freccia direzionale rivolta a destra. </div><div class="ttdef"><b>Definition:</b> dati.cc:15</div></div>
<div class="ttc" id="dati_8h_html_af342225ad7bf4f6af235b7e5483643c2a898fd7abd6aae10a03fc8f61543e1ab6"><div class="ttname"><a href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a898fd7abd6aae10a03fc8f61543e1ab6">SX</a></div><div class="ttdef"><b>Definition:</b> dati.h:48</div></div>
<div class="ttc" id="structpersonaggio_html_a6487d20648bf32c6f9a1a383c5e72510"><div class="ttname"><a href="structpersonaggio.html#a6487d20648bf32c6f9a1a383c5e72510">personaggio::dir_img</a></div><div class="ttdeci">ALLEGRO_BITMAP * dir_img</div><div class="ttdoc">Immagine (freccia) che descrive la direzione di movimento del personaggio. </div><div class="ttdef"><b>Definition:</b> dati.h:120</div></div>
<div class="ttc" id="ia_8cc_html_ae7b4b2ab770528932506cb7be3e589e3"><div class="ttname"><a href="ia_8cc.html#ae7b4b2ab770528932506cb7be3e589e3">DIR_SX</a></div><div class="ttdeci">ALLEGRO_BITMAP * DIR_SX</div><div class="ttdoc">Immagine della freccia direzionale rivolta a sinistra. </div><div class="ttdef"><b>Definition:</b> dati.cc:16</div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Documentazione delle variabili</h2>
<a class="anchor" id="a3a21baed9d6df4610280bcbfa7cb3a5f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* DIR_DX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine della freccia direzionale rivolta a destra. </p>

</div>
</div>
<a class="anchor" id="ae7b4b2ab770528932506cb7be3e589e3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* DIR_SX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine della freccia direzionale rivolta a sinistra. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
